树莓派3B+安装seafile8.0.7 ./seahub /启动错误


#1

安装的sqlite ,全部安装完成,启动seafile正常,启动seahub时提示错误,请问下要怎么处理?谢谢

Error happened during creating seafile admin.

Traceback (most recent call last):
File “/home/seafile/seafile-server-8.0.7/seahub/seahub/avatar/models.py”, line 23, in
from PIL import Image
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/PIL/Image.py”, line 114, in
from . import _imaging as core
ImportError: cannot import name ‘_imaging’ from ‘PIL’ (/home/seafile/seafile-server-8.0.7/seahub/thirdpart/PIL/init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/bin/gunicorn”, line 8, in
sys.exit(run())
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 67, in run
WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/base.py”, line 231, in run
super().run()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/base.py”, line 72, in run
Arbiter(self).run()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/arbiter.py”, line 58, in init
self.setup(app)
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/arbiter.py”, line 118, in setup
self.app.wsgi()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/base.py”, line 67, in wsgi
self.callable = self.load()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 58, in load
return self.load_wsgiapp()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/app/wsgiapp.py”, line 48, in load_wsgiapp
return util.import_app(self.app_uri)
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/gunicorn/util.py”, line 359, in import_app
mod = importlib.import_module(module)
File “/usr/lib/python3.7/importlib/init.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 1006, in _gcd_import
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “”, line 728, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/home/seafile/seafile-server-8.0.7/seahub/seahub/wsgi.py”, line 25, in
application = get_wsgi_application()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/django/core/wsgi.py”, line 12, in get_wsgi_application
django.setup(set_prefix=False)
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/django/init.py”, line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/django/apps/registry.py”, line 114, in populate
app_config.import_models()
File “/home/seafile/seafile-server-8.0.7/seahub/thirdpart/django/apps/config.py”, line 211, in import_models
self.models_module = import_module(models_module_name)
File “/usr/lib/python3.7/importlib/init.py”, line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File “”, line 1006, in _gcd_import
File “”, line 983, in _find_and_load
File “”, line 967, in _find_and_load_unlocked
File “”, line 677, in _load_unlocked
File “”, line 728, in exec_module
File “”, line 219, in _call_with_frames_removed
File “/home/seafile/seafile-server-8.0.7/seahub/seahub/avatar/models.py”, line 26, in
import Image
ModuleNotFoundError: No module named ‘Image’
Error:Seahub failed to start.
Please try to run “./seahub.sh start” again